Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1962086 - More flexible use of SSSD fast cache for local users [NEEDINFO]
Summary: More flexible use of SSSD fast cache for local users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sumit Bose
QA Contact:
URL:
Whiteboard:
Depends On: 1970818
Blocks: F35Changes
TreeView+ depends on / blocked
 
Reported: 2021-05-19 09:49 UTC by Ben Cotton
Modified: 2021-11-02 16:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 16:03:44 UTC
Type: ---
Embargoed:
bcotton: needinfo?


Attachments (Terms of Use)

Description Ben Cotton 2021-05-19 09:49:52 UTC
This is a tracking bug for Change: More flexible use of SSSD fast cache for local users
For more details, see: https://fedoraproject.org/wiki/Changes/FlexibleLocalUserCache

Allow to switch SSSD’s fast cache for local users on and off at runtime and do not start it by default anymore.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2021-08-25 20:58:47 UTC
On Tuesday, 24 August we reached the Change Checkpoint: Completion deadline (100% complete). At this milestone all the F35 Changes should be fully complete, which is indicated by "ON_QA" status of a tracking bug.

If you wish to defer this Change to F36, please needinfo bcotton

Comment 2 Sumit Bose 2021-08-26 06:31:04 UTC
Hi,

sorry, I forgot to change the status.

From the 3 item mentioned on the change page the change to

 - the SSSD package was done in https://src.fedoraproject.org/rpms/sssd/c/bfbe7140ec88e5bfdcb56854c71d0300850b8253?branch=f35
 - the authselect package was done by the rebase to the latest release in https://src.fedoraproject.org/rpms/authselect/c/5b2aadc5ec6bcd9adca994afcb60328123a936d8?branch=f35

 - the glibc package https://src.fedoraproject.org/rpms/glibc/pull-request/33 was rejected by the glibc maintainers because they prefer that the ownership of the nsswitch.conf file will be moved to authselect which is planned for Fedora 36

Imo the missing change to nsswitch.conf is not a blocker because even if SSSD is not running calling the libnss_sss module to check if SSSD is running will only cause a minimal delay in the user and group lookups. On systems where authselect is called the order will be corrected by authselect. Please let me know if this is something which requires further discussion?

For the time being I'll switch the ticket to ON_QA.

bye,
Sumit

Comment 3 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.


Note You need to log in before you can comment on or make changes to this bug.